#[derive(Debug, Clone)]
pub enum Level {
    Debug = 0,
    Info = 10,
    Warning = 20,
    Error = 30,
    Critical = 40,
}

#[derive(Debug, Clone)]
pub struct Message {
    pub emitter: String,
    pub level: Level,
    pub msg_type: String,
    pub text: String,
}
